
_main:

;MyProject.c,20 :: 		void main()
;MyProject.c,23 :: 		Lcd_Init();                        // Initialize LCD
	CALL       _Lcd_Init+0
;MyProject.c,25 :: 		Lcd_Cmd(_LCD_CLEAR);               // Clear display
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.c,26 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);          // Cursor off
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.c,27 :: 		Lcd_Out(1,6,txt1);                 // Write text in first row
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      6
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _txt1+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.c,30 :: 		UART1_Init(9600); // Initialize UART module at 9600 bps
	MOVLW      25
	MOVWF      SPBRG+0
	BSF        TXSTA+0, 2
	CALL       _UART1_Init+0
;MyProject.c,31 :: 		Delay_ms(100); // Wait for UART module to stabilize
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_main0:
	DECFSZ     R13+0, 1
	GOTO       L_main0
	DECFSZ     R12+0, 1
	GOTO       L_main0
	NOP
	NOP
;MyProject.c,32 :: 		UART1_Write_Text("Start");
	MOVLW      ?lstr1_MyProject+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	CALL       _UART1_Write_Text+0
;MyProject.c,33 :: 		UART1_Write(10);
	MOVLW      10
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;MyProject.c,34 :: 		UART1_Write(13);
	MOVLW      13
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;MyProject.c,35 :: 		while (1)
L_main1:
;MyProject.c,38 :: 		if (UART1_Data_Ready()) { // If data is received,
	CALL       _UART1_Data_Ready+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main3
;MyProject.c,39 :: 		uart_rd = UART1_Read(); // read the received data,
	CALL       _UART1_Read+0
	MOVF       R0+0, 0
	MOVWF      _uart_rd+0
;MyProject.c,40 :: 		if(uart_rd=='='){
	MOVF       R0+0, 0
	XORLW      61
	BTFSS      STATUS+0, 2
	GOTO       L_main4
;MyProject.c,41 :: 		if (UART1_Data_Ready()) { // If data is received,
	CALL       _UART1_Data_Ready+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main5
;MyProject.c,42 :: 		uart_rd = UART1_Read(); // read the received data,
	CALL       _UART1_Read+0
	MOVF       R0+0, 0
	MOVWF      _uart_rd+0
;MyProject.c,43 :: 		if(uart_rd){             //if digit after = not zero
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main6
;MyProject.c,44 :: 		Lcd_Out_Cp(uart_rd);
	MOVF       _uart_rd+0, 0
	MOVWF      FARG_Lcd_Out_CP_text+0
	CALL       _Lcd_Out_CP+0
;MyProject.c,45 :: 		UART1_Write(uart_rd); // and send data via UART
	MOVF       _uart_rd+0, 0
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;MyProject.c,46 :: 		}
L_main6:
;MyProject.c,47 :: 		}
L_main5:
;MyProject.c,48 :: 		} } }
L_main4:
L_main3:
	GOTO       L_main1
;MyProject.c,49 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
